### Append

Category

Structuring

Function

Adds one or more specified Objects to an existing Group.

Syntax

    group = Append(input, object, id,...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | Group | (no default) | group to which an object is to be added
`object` | Object | (no default) | Object to be added
`id` | scalar or string | (no default) | series position or name of Object
`...` | ... | ... | additional object-id pair(s)

Outputs

Name | Type | Description
--- | --- | ---
`group` | group | the group with Objects added

Functional Details

This module differs from Collect, CollectNamed, CollectMultiGrid, and CollectSeries, which create a new Group with the specified Objects as members. For example, if the input to the module is a series with four members, the output will be a series with four + n members, where n is the number of objects specified.

`input` | must be a Group. The type of this Group determines the type of the output Group.
`object` | is an Object to be added as a member to the Group `input`.
`id` | specifies additional information to be associated with the appended Object. For a named Group, this could be the name of the member. For a Series, it is the series position value. If `input` is a series, then `id` is a required parameter. Otherwise, it is optional.

A single Append module can specify a maximum of 21 `object`-`id` pairs. In the user interface, the default number of enabled parameter tabs is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

Components

All components are propagated to the output.

See Also

Collect, CollectMultiGrid, CollectNamed, CollectSeries, Select

[ OpenDX Home at IBM | OpenDX.org ]